#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%ifarch %{arm} %{ix86} aarch64
%bcond_with docs
%else
%bcond_without docs
%endif

%define rel 1

Name:           ktextaddons
Version:        1.3.2
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        LGPLv3
Summary:        Various text handling addons
Url:            https://invent.kde.org/libraries/ktextaddons
Source0:        https://download.kde.org/stable/ktextaddons/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  doxygen

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5CoreAddons)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5TextToSpeech)
BuildRequires:  cmake(Qt5UiPlugin)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Keychain)

%description
Various text handling addons for the KDE dekstop.
WWW: https://invent.kde.org/libraries/ktextaddons

%files -f %{name}.lang
%doc README.md
%license LICENSES/
%{_kf5_plugindir}/translator/
%{_qt5_plugindir}/designer/texttranslatorwidgets5.so

#--------------------------------------------------------------------

%define kf5textaddonswidgets_major 1
%define libkf5textaddonswidgets %mklibname kf5textaddonswidgets %{kf5textaddonswidgets_major}

%package -n %libkf5textaddonswidgets
Summary:        Ktextaddons Text Addons Widget library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf5textaddonswidgets
Ktextaddons Text Addons Widget component library.

%files -n %libkf5textaddonswidgets
%{_kf5_libdir}/libKF5TextAddonsWidgets.so.%{kf5textaddonswidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf5textautocorrectioncore_major 1
%define libkf5textautocorrectioncore %mklibname kf5textautocorrectioncore %{kf5textautocorrectioncore_major}

%package -n %libkf5textautocorrectioncore
Summary:        Ktextaddons Text Auto Correction Core library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf5textautocorrectioncore
Ktextaddons Text Auto Correction Core component library.

%files -n %libkf5textautocorrectioncore
%{_kf5_libdir}/libKF5TextAutoCorrectionCore.so.%{kf5textautocorrectioncore_major}{,.*}

#--------------------------------------------------------------------

%define kf5textautocorrectionwidgets_major 1
%define libkf5textautocorrectionwidgets %mklibname kf5textautocorrectionwidgets %{kf5textautocorrectionwidgets_major}

%package -n %libkf5textautocorrectionwidgets
Summary:        Ktextaddons Text Auto Correction Widgets library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf5textautocorrectionwidgets
Ktextaddons Text Auto Correction Widgets component library.

%files -n %libkf5textautocorrectionwidgets
%{_kf5_libdir}/libKF5TextAutoCorrectionWidgets.so.%{kf5textautocorrectionwidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf5textedittexttospeech_major 1
%define libkf5textedittexttospeech %mklibname kf5textedittexttospeech %{kf5textedittexttospeech_major}

%package -n %libkf5textedittexttospeech
Summary:        Ktextaddons Text Edit Text To Speech library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf5textedittexttospeech
Ktextaddons Text Edit Text To Speech component library.

%files -n %libkf5textedittexttospeech
%{_kf5_libdir}/libKF5TextEditTextToSpeech.so.%{kf5textedittexttospeech_major}{,.*}

#--------------------------------------------------------------------

%define kf5textemoticonscore_major 1
%define libkf5textemoticonscore %mklibname kf5textemoticonscore %{kf5textemoticonscore_major}

%package -n %libkf5textemoticonscore
Summary:        Ktextaddons Text Emoticons Core library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf5textemoticonscore
Ktextaddons Text Emoticons Core component library.

%files -n %libkf5textemoticonscore
%{_kf5_libdir}/libKF5TextEmoticonsCore.so.%{kf5textemoticonscore_major}{,.*}

#--------------------------------------------------------------------

%define kf5textemoticonswidgets_major 1
%define libkf5textemoticonswidgets %mklibname kf5textemoticonswidgets %{kf5textemoticonswidgets_major}

%package -n %libkf5textemoticonswidgets
Summary:        Ktextaddons Text Emoticons Widgets library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf5textemoticonswidgets
Ktextaddons Text Emoticons Widgets component library.

%files -n %libkf5textemoticonswidgets
%{_kf5_libdir}/libKF5TextEmoticonsWidgets.so.%{kf5textemoticonswidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf5textgrammarcheck_major 1
%define libkf5textgrammarcheck %mklibname kf5textgrammarcheck %{kf5textgrammarcheck_major}

%package -n %libkf5textgrammarcheck
Summary:        Ktextaddons Text Grammar Check library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf5textgrammarcheck
Ktextaddons Text Grammar Check component library.

%files -n %libkf5textgrammarcheck
%{_kf5_libdir}/libKF5TextGrammarCheck.so.%{kf5textgrammarcheck_major}{,.*}

#--------------------------------------------------------------------

%define kf5texttranslator_major 1
%define libkf5texttranslator %mklibname kf5texttranslator %{kf5texttranslator_major}

%package -n %libkf5texttranslator
Summary:        Ktextaddons Text Translator library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf5texttranslator
Ktextaddons Text Translator component library.

%files -n %libkf5texttranslator
%{_kf5_libdir}/libKF5TextTranslator.so.%{kf5texttranslator_major}{,.*}

#--------------------------------------------------------------------

%define libktextaddons_dev %mklibname kf5textaddons -d

%package -n     %{libktextaddons_dev}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libkf5textaddonswidgets} = %{version}-%{release}
Requires:       %{libkf5textautocorrectioncore} = %{version}-%{release}
Requires:       %{libkf5textautocorrectionwidgets} = %{version}-%{release}
Requires:       %{libkf5textedittexttospeech} = %{version}-%{release}
Requires:       %{libkf5textemoticonscore} = %{version}-%{release}
Requires:       %{libkf5textemoticonswidgets} = %{version}-%{release}
Requires:       %{libkf5textgrammarcheck} = %{version}-%{release}
Requires:       %{libkf5texttranslator} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kf5textaddons-devel = %{version}-%{release}

%description -n %{libktextaddons_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libktextaddons_dev}
%{_kf5_includedir}/TextAddonsWidgets/
%{_kf5_libdir}/libKF5TextAddonsWidgets.so
%{_kf5_libdir}/cmake/KF5TextAddonsWidgets/
%{_kf5_mkspecsdir}/qt_textaddonswidgets.pri
#
%{_kf5_includedir}/TextAutoCorrectionCore/
%{_kf5_libdir}/libKF5TextAutoCorrectionCore.so
%{_kf5_libdir}/cmake/KF5TextAutoCorrectionCore/
%{_kf5_mkspecsdir}/qt_TextAutoCorrectionCore.pri
#
%{_kf5_includedir}/TextAutoCorrectionWidgets/
%{_kf5_libdir}/libKF5TextAutoCorrectionWidgets.so
%{_kf5_libdir}/cmake/KF5TextAutoCorrectionWidgets/
%{_kf5_mkspecsdir}/qt_TextAutoCorrectionWidgets.pri
#
%{_kf5_includedir}/TextEditTextToSpeech/
%{_kf5_libdir}/libKF5TextEditTextToSpeech.so
%{_kf5_libdir}/cmake/KF5TextEditTextToSpeech/
%{_kf5_mkspecsdir}/qt_TextEditTextToSpeech.pri
#
%{_kf5_includedir}/TextEmoticonsCore/
%{_kf5_libdir}/libKF5TextEmoticonsCore.so
%{_kf5_libdir}/cmake/KF5TextEmoticonsCore/
%{_kf5_mkspecsdir}/qt_textemoticonscore.pri
#
%{_kf5_includedir}/TextEmoticonsWidgets/
%{_kf5_libdir}/libKF5TextEmoticonsWidgets.so
%{_kf5_libdir}/cmake/KF5TextEmoticonsWidgets/
%{_kf5_mkspecsdir}/qt_textemoticonswidgets.pri
#
%{_kf5_includedir}/TextGrammarCheck/
%{_kf5_libdir}/libKF5TextGrammarCheck.so
%{_kf5_libdir}/cmake/KF5TextGrammarCheck/
%{_kf5_mkspecsdir}/qt_TextGrammarCheck.pri
#
%{_kf5_includedir}/TextTranslator/
%{_kf5_libdir}/libKF5TextTranslator.so
%{_kf5_libdir}/cmake/KF5TextTranslator/
%{_kf5_mkspecsdir}/qt_TextTranslator.pri

#--------------------------------------------------------------------

%if %{with docs}
%package        doc
Summary:        Ktextaddons APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
BuildRequires:  cmake(Qt5Help)
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in Ktextaddons package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/KF5TextAddonsWidgets.qch
%{_qt5_docdir}/KF5TextAddonsWidgets.tags
%{_qt5_docdir}/KF5TextAutoCorrectionCore.qch
%{_qt5_docdir}/KF5TextAutoCorrectionCore.tags
%{_qt5_docdir}/KF5TextAutoCorrectionWidgets.qch
%{_qt5_docdir}/KF5TextAutoCorrectionWidgets.tags
%{_qt5_docdir}/KF5TextEditTextToSpeech.qch
%{_qt5_docdir}/KF5TextEditTextToSpeech.tags
%{_qt5_docdir}/KF5TextEmoticonsCore.qch
%{_qt5_docdir}/KF5TextEmoticonsCore.tags
%{_qt5_docdir}/KF5TextEmoticonsWidgets.qch
%{_qt5_docdir}/KF5TextEmoticonsWidgets.tags
%{_qt5_docdir}/KF5TextGrammarCheck.qch
%{_qt5_docdir}/KF5TextGrammarCheck.tags
%{_qt5_docdir}/KF5TextTranslator.qch
%{_qt5_docdir}/KF5TextTranslator.tags
%endif

#--------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf5 %{?with_docs:-DBUILD_QCH:BOOL=ON}
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Sat May 27 2023 daviddavid <daviddavid> 1.3.2-1.mga9
+ Revision: 1959261
- new version: 1.3.2
- update files list

* Thu Mar 30 2023 daviddavid <daviddavid> 1.1.1-1.mga9
+ Revision: 1950932
- new version: 1.1.1

* Thu Feb 16 2023 daviddavid <daviddavid> 1.1.0-1.mga9
+ Revision: 1943547
- initial package ktextaddons

